package de.htwsaar.webshop.service;

import de.htwsaar.webshop.repository.entities.Account;

public interface AccountService {
    Account saveNew(Account account);
    Account save(Account account);
    boolean deleteIfExists(Account account);
    Account isValidLogin(String email, String password);
    boolean existsWithEmail(String email);
}